USE [COWS]
GO

/****** Object:  Table [dbo].[SSTAT_REQ]    Script Date: 11/08/2016 09:40:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[SSTAT_REQ](
	[TRAN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[ORDR_ID] [int] NULL,
	[SSTAT_MSG_ID] [int] NOT NULL,
	[STUS_MOD_DT] [datetime] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[STUS_ID] [smallint] NOT NULL,
	[FTN] [varchar](50) NULL,
 CONSTRAINT [PK_SSTAT_REQ] PRIMARY KEY CLUSTERED 
(
	[TRAN_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[SSTAT_REQ]  WITH NOCHECK ADD  CONSTRAINT [FK01_SSTAT_REQ] FOREIGN KEY([SSTAT_MSG_ID])
REFERENCES [dbo].[LK_SSTAT_MSG] ([SSTAT_MSG_ID])
GO

ALTER TABLE [dbo].[SSTAT_REQ] CHECK CONSTRAINT [FK01_SSTAT_REQ]
GO

ALTER TABLE [dbo].[SSTAT_REQ]  WITH NOCHECK ADD  CONSTRAINT [FK02_SSTAT_REQ] FOREIGN KEY([ORDR_ID])
REFERENCES [dbo].[FSA_ORDR] ([ORDR_ID])
GO

ALTER TABLE [dbo].[SSTAT_REQ] CHECK CONSTRAINT [FK02_SSTAT_REQ]
GO

ALTER TABLE [dbo].[SSTAT_REQ]  WITH NOCHECK ADD  CONSTRAINT [FK03_SSTAT_REQ] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[SSTAT_REQ] CHECK CONSTRAINT [FK03_SSTAT_REQ]
GO

ALTER TABLE [dbo].[SSTAT_REQ] ADD  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[SSTAT_REQ] ADD  DEFAULT ((10)) FOR [STUS_ID]
GO


